<template>
  <v-menu
    :value="value"
    @input="$emit('input')"
    :close-on-content-click="false"
    :activator="selectedElement"
    offset-x
    max-width="400"
  >
    <v-card flat width="400" class="pa-5">
      <v-row no-gutters justify="space-between">
        <div class="d-flex mb-4">
          <div class="pa-1">
            <v-icon small :color="eventColor">mdi-square-rounded</v-icon>
          </div>
          <div class="ml-4">
            <p class="eventName">Cita registrada</p>
            <div>{{ formatDate(selectedEvent.start, selectedEvent.end) }}</div>
            <div>{{ formatTime(selectedEvent.start, selectedEvent.end) }}</div>
          </div>
        </div>
        <div class="ml-4">
          <v-btn icon @click="close"><v-icon>mdi-close</v-icon></v-btn>
        </div>
      </v-row>
      <div class="d-flex">
        <v-icon>mdi-account-multiple-outline</v-icon>
        <div class="ml-4">
          <p class="eventText">{{ selectedEvent.patient }}</p>
        </div>
      </div>
      <div class="d-flex">
        <v-icon>mdi-bell-outline</v-icon>
        <div class="ml-4">
          <p class="eventText"> 10 minutos antes</p>
        </div>
      </div>
      <div class="d-flex">
        <v-icon>mdi-calendar</v-icon>
        <div class="ml-4">
          <v-btn depressed :color="eventColor" dark @click="goDetails">Ver detalle</v-btn>
        </div>
      </div>
    </v-card>
  </v-menu>
</template>
<script>
export default {
  props: ["selectedEvent", "value", "selectedElement", "eventColor"],
  data() {
    return {
      contentClick: false,
    };
  },
  methods: {
    formatTime(start, end) {
      const dateStart = new Date(start);
      const dateEnd = new Date(end);
      const optionsTime = { hour: "numeric", minute: "numeric", hour12: true };
      const timeStart = dateStart.toLocaleTimeString("es-ES", optionsTime);
      const timeEnd = dateEnd.toLocaleTimeString("es-ES", optionsTime);
      return `${timeStart} - ${timeEnd}`;
    },
    formatDate(start, end) {
      const dateStart = new Date(start);
      const options = {
        weekday: "long",
        year: "numeric",
        month: "long",
        day: "numeric",
      };
      const date = dateStart.toLocaleDateString("es-ES", options);
      return `${date}`;
    },
    goDetails(){
      this.$router.push(`/especialista/sesion/${this.selectedEvent.sessionId}`)
    },
    close(){
      this.$emit('cancel')
    }
  },
};
</script>
<style scoped>
.d-flex {
  align-items: flex-start;
}
.eventName {
  color: rgb(51, 51, 51);
  font-size: 20px;
  font-weight: 500;
  margin-top: 2px;
  margin-bottom: 5px;
}
.eventText {
  font-size: 15px;
}
.v-menu__content{
  box-shadow: 0px 5px 25px -5px rgb(0 0 0 / 10%);
}
</style>
